> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reporting/get-survey-question/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get survey question report GET https://api.mailchimp.com/3.0/reporting/surveys/{survey_id}/questions/{question_id} Get report for a survey question. Reference: https://mailchimp.com/developer/marketing/api/reporting/get-survey-question ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `survey_id` (string, required) — The ID of the survey. - `question_id` (string, required) — The ID of the survey question. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 Survey Question Report Instance - `average_rating` (float, optional) — The average rating for this range question. - `contact_counts` (SurveyQuestionReportContactCounts, optional) — For email question types, how many are new, known, or unknown contacts. - `has_other` (boolean, optional) — Whether this survey question has an 'other' option. - `id` (string, optional) — The ID of the survey question. - `is_required` (boolean, optional) — Whether this survey question is required to answer. - `merge_field` (SurveyQuestionReportMergeField, optional) — A [merge field](https://mailchimp.com/developer/marketing/docs/merge-fields/) for an audience. - `options` (list of SurveyQuestionReportOptionsItems, optional) — The answer choices for this question. - `other_label` (string, optional) — Label used for the 'other' option of this survey question. - `placeholder_label` (string, optional) — Placeholder text for this survey question's answer box. - `query` (string, optional) — The query of the survey question. - `range_high_label` (string, optional) — Label for the high end of the range. - `range_low_label` (string, optional) — Label for the low end of the range. - `subscribe_checkbox_enabled` (boolean, optional) — Whether the subscribe checkbox is shown for this email question. - `subscribe_checkbox_label` (string, optional) — Label used for the subscribe checkbox for this email question. - `survey_id` (string, optional) — The unique ID of the survey. - `total_responses` (integer, optional) — The total number of responses to this question. - `type` (enum, optional) — The response type of the survey question. - Allowed values: `pickOne`, `pickMany`, `range`, `text`, `email`, `contactInformation`, `dropdown` ## Types ### SurveyQuestionReportContactCounts For email question types, how many are new, known, or unknown contacts. - `known` (integer, optional) — The number of known contacts that responded to this survey. - `new` (integer, optional) — The number of new contacts that responded to this survey. - `unknown` (integer, optional) — The number of unknown contacts that responded to this survey. ### SurveyQuestionReportMergeField A [merge field](https://mailchimp.com/developer/marketing/docs/merge-fields/) for an audience. - `id` (integer, optional) — An unchanging id for the merge field. - `label` (string, optional) — The [label](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for the merge field. - `type` (enum, optional) — The [type](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for the merge field. - Allowed values: `text`, `number`, `address`, `phone`, `date`, `url`, `imageurl`, `radio`, `dropdown`, `birthday`, `zip` ### SurveyQuestionReportOptionsItems - `count` (integer, optional) — The count of responses that selected this survey question option. - `id` (string, optional) — The ID for this survey question option. - `label` (string, optional) — The label for this survey question option. ## Examples **Response** ```json { "average_rating": 2.5, "contact_counts": { "known": 1, "new": 1, "unknown": 1 }, "has_other": true, "id": "string", "is_required": true, "merge_field": { "id": 1, "label": "string", "type": "text" }, "options": [ { "count": 1, "id": "string", "label": "string" } ], "other_label": "string", "placeholder_label": "string", "query": "string", "range_high_label": "string", "range_low_label": "string", "subscribe_checkbox_enabled": true, "subscribe_checkbox_label": "string", "survey_id": "string", "total_responses": 810, "type": "pickOne" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.